global.player = 0;
global.top = 0;
global.left = 0;
global.boardsize = 8;
global.cellsize = 64;
global.active_cell = -1;
global.gamerunning = true;

white_wins = false ;
black_wins = false ;


// set up the board as a 2D array of obj_cell instance IDs
for (row = 0; row < global.boardsize; row++) {
	for (column = 0; column < global.boardsize; column++) {
		var boardx = column*global.cellsize+global.left
		var boardy = row*global.cellsize+global.top
		var inst = instance_create_layer(boardx, boardy, "Instances", obj_cell);
		global.board[row][column] = inst;
		if ((column + row) % 2 == 0) {
			inst.colour = "light"
		} else {
			inst.colour = "dark"
		}
		inst.piece = "-";
		// this next bit is janky, and maybe should be avoid, but I couldn't find a different way
		// to do it.
		inst.row = row;
		inst.column = column;
		if (row < 2) {
			inst.player = 2;	// black
		}
		if (row > 5) {
			inst.player = 1;	// white
		}
			
	}
}
// kings
global.board[0][4].piece = "K";
global.board[7][4].piece = "k";
// queens
global.board[0][3].piece = "Q";
global.board[7][3].piece = "q";
//kinghts
global.board[0][1].piece = "N";
global.board[0][6].piece = "N";
global.board[7][1].piece = "n";
global.board[7][6].piece = "n";
//bishops
global.board[0][2].piece = "B";
global.board[0][5].piece = "B";
global.board[7][2].piece = "b";
global.board[7][5].piece = "b";
//rooks
global.board[0][0].piece = "R";
global.board[0][7].piece = "R";
global.board[7][0].piece = "r";
global.board[7][7].piece = "r";
//pawns
for (i = 0; i<=7; i++) {
	global.board[1][i].piece = "P";
	global.board[6][i].piece = "p";
}
